/************************************************************************/
/* 		This code is part of 'CutterFF'				*/
/*		a tool for cutting video files with 'FFmpeg' and 'GTK'	*/
/*		Copyright (c) 2017 .. 2019 Harald Foerster		*/
/*		(harald_foerster@users.sourceforge.net)			*/
/*		Distributed under GPL 2 or later			*/
/************************************************************************/

#ifndef CFF_GACCEL__H
#define CFF_GACCEL__H

#include <gtk/gtk.h>
#include <stdio.h>


enum
{
	kGAccelKeyNone	= -1,

	kGAccelFileOpen,
	kGAccelFileSave,
	kGAccelFileImage,
	kGAccelFileClose,
	kGAccelFileInfo,
	kGAccelFileSaveRC,
	kGAccelFileQuit,

	kGAccelEditUndo,
	kGAccelEditRedo,
	kGAccelEditLoad,
	kGAccelEditSave,
	kGAccelEditClear,
	kGAccelEditAdd,
	kGAccelEditRemove,

	kGAccelOptAccel,
	kGAccelOptKeyFrame,
	kGAccelOptIFrame,
	kGAccelOptPFrame,
	kGAccelOptCursor,
	kGAccelOptOverwrite,
	kGAccelOptDelete,
	kGAccelOptBeep,
	kGAccelOptSave,

	kGAccelHelpFFmpeg,
	kGAccelHelpCutterff,
	kGAccelHelpAbout,

	kGAccelKeyTotal
};

typedef struct
{
	const gchar	*name;
	const gchar	*label;
	GtkWidget	*widget;
	guint		keyval;
	guint		key;
	GdkModifierType	modifier;

} cff_gaccel_t;


void cff_gaccel_bind_widget(gint accel_id, const gchar *label, GtkWidget *widget, GtkWidget *parent);
void cff_gaccel_dialog_open(void);
gint cff_gaccel_parse_str(gchar *str);
void cff_gaccel_save_data(FILE *fd, const gchar *id);

#endif /* CFF_GACCEL__H */

