/************************************************************************/
/* 		This code is part of 'CutterFF'				*/
/*		a tool for cutting video files with 'FFmpeg' and 'GTK'	*/
/*		Copyright (c) 2017 .. 2019 Harald Foerster		*/
/*		(harald_foerster@users.sourceforge.net)			*/
/*		Distributed under GPL 2 or later			*/
/************************************************************************/

#ifndef CFF_GPROP__H
#define CFF_GPROP__H

#include <stdio.h>

enum
{
	kPropStrItemFirst,

	kPropStrFileOpenPath = kPropStrItemFirst,
	kPropStrFileSavePath,
	kPropStrFileImagePath,
	kPropStrFileVideoFilter,
	kPropStrFileImageFilter,
	kPropStrEditPath,
	kPropStrOptLoglevel,
	kPropStrLogWinText,
	kPropStrLogWinBackground,

	kPropStrItemsTotal,
	kPropStrItemLast = kPropStrItemsTotal - 1
};

enum
{
	kPropIntItemFirst,

	kPropIntMainWinWidth = kPropIntItemFirst,
	kPropIntMainWinHeight,

	kPropIntFileSaveWinWidth,
	kPropIntFileSaveWinHeight,

	kPropIntFileImageWinWidth,
	kPropIntFileImageWinHeight,

	kPropIntFileInfoWinWidth,
	kPropIntFileInfoWinHeight,

	kPropIntHelpFFmpegWinWidth,
	kPropIntHelpFFmpegWinHeight,

	kPropIntHelpCutterFFWidth,
	kPropIntHelpCutterFFHeight,

	kPropIntLogWinWidth,
	kPropIntLogWinHeight,

	kPropIntFileFilterIndex,

	kPropIntItemsTotal,
	kPropIntItemLast = kPropIntItemsTotal - 1
};

enum
{
	kPropBoolItemFirst,

	kPropBoolOptKeyFrame = kPropBoolItemFirst,
	kPropBoolOptIFrame,
	kPropBoolOptPFrame,
	kPropBoolOptCursor,
	kPropBoolOptOverwrite,
	kPropBoolOptDelete,
	kPropBoolOptBeep,
	kPropBoolOptSaveConfig,

	kPropBoolItemsTotal,
	kPropBoolItemLast = kPropBoolItemsTotal - 1
};

void  cff_gprop_set_str(int item, const char *sval);
void  cff_gprop_set_int(int item, int ival);
void  cff_gprop_set_bool(int item, int bval);
char *cff_gprop_get_str(int item);
int   cff_gprop_get_int(int item, int *ivalp);
int   cff_gprop_get_bool(int item, int *bvalp);
int   cff_gprop_parse_str(char *str);
void  cff_gprop_save_data(FILE *fd, const char *id);

#endif /* CFF_GPROP__H */
